---
###############################################################################
# Seed hypervisor node configuration.

# User with which to access the seed hypervisor via SSH during bootstrap, in
# order to setup the Kayobe user account. Default is {{ os_distribution }}.
#seed_hypervisor_bootstrap_user:

###############################################################################
# Seed hypervisor network interface configuration.

# List of networks to which seed hypervisor nodes are attached.
#seed_hypervisor_network_interfaces:

# List of default networks to which seed hypervisor nodes are attached.
#seed_hypervisor_default_network_interfaces:

# List of extra networks to which seed hypervisor nodes are attached.
#seed_hypervisor_extra_network_interfaces:

###############################################################################
# Seed hypervisor node software RAID configuration.

# List of software RAID arrays. See mrlesmithjr.mdadm role for format.
#seed_hypervisor_mdadm_arrays:

###############################################################################
# Seed hypervisor node encryption configuration.

# List of block devices to encrypt. See stackhpc.luks role for format.
#seed_hypervisor_luks_devices:

###############################################################################
# Seed hypervisor node LVM configuration.

# List of seed hypervisor volume groups. See mrlesmithjr.manage-lvm role for
# format. Set to "{{ seed_hypervisor_lvm_groups_with_data }}" to create a
# volume group for libvirt storage.
#seed_hypervisor_lvm_groups:

# Suggested list of seed hypervisor volume groups for libvirt. Not used by
# default.
#seed_hypervisor_lvm_groups_with_data:

# Seed LVM volume group for data. See mrlesmithjr.manage-lvm role for format.
#seed_hypervisor_lvm_group_data:

# List of disks for use by seed hypervisor LVM data volume group. Default to an
# invalid value to require configuration.
#seed_hypervisor_lvm_group_data_disks:

# List of LVM logical volumes for the data volume group.
#seed_hypervisor_lvm_group_data_lvs:

# Libvirt storage LVM backing volume.
#seed_hypervisor_lvm_group_data_lv_libvirt_storage:

# Size of libvirt storage LVM backing volume.
#seed_hypervisor_lvm_group_data_lv_libvirt_storage_size:

# Filesystem for libvirt storage LVM backing volume. ext4 allows for shrinking.
#seed_hypervisor_lvm_group_data_lv_libvirt_storage_fs:

###############################################################################
# Seed hypervisor libvirt storage pool configuration.

# List of libvirt storage pools for the seed hypervisor.
#seed_hypervisor_libvirt_pools:

# Libvirt storage pool for the seed VM.
#seed_hypervisor_libvirt_pool:

# Name of the libvirt storage pool for the seed VM.
#seed_hypervisor_libvirt_pool_name:

# Directory path of the libvirt storage pool for the seed VM.
#seed_hypervisor_libvirt_pool_path:

# Directory mode of the libvirt storage pool for the seed VM.
#seed_hypervisor_libvirt_pool_mode:

# Directory owner of the libvirt storage pool for the seed VM.
#seed_hypervisor_libvirt_pool_owner:

# Directory group of the libvirt storage pool for the seed VM.
#seed_hypervisor_libvirt_pool_group:

###############################################################################
# Seed hypervisor libvirt network configuration.

# List of libvirt networks for the seed hypervisor.
#seed_hypervisor_libvirt_networks:

###############################################################################
# Seed hypervisor sysctl configuration.

# Dict of sysctl parameters to set.
#seed_hypervisor_sysctl_parameters:

###############################################################################
# Seed hypervisor user configuration.

# List of users to create. This should be in a format accepted by the
# singleplatform-eng.users role.
#seed_hypervisor_users:

###############################################################################
# Seed hypervisor node firewalld configuration.

# Whether to install and enable firewalld.
#seed_hypervisor_firewalld_enabled:

# A list of zones to create. Each item is a dict containing a 'zone' item.
#seed_hypervisor_firewalld_zones:

# A firewalld zone to set as the default. Default is unset, in which case the
# default zone will not be changed.
#seed_hypervisor_firewalld_default_zone:

# A list of firewall rules to apply. Each item is a dict containing arguments
# to pass to the firewalld module. Arguments are omitted if not provided, with
# the following exceptions:
# - offline: true
# - permanent: true
# - state: enabled
#seed_hypervisor_firewalld_rules:

###############################################################################
# Dummy variable to allow Ansible to accept this file.
workaround_ansible_issue_8743: yes
